#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(NULL);

    long long V, div1, div2, div5;
    string str;
    int digits, res = 0;
    cin >> V;

    while (V) {

        str = to_string(V);
        digits = str.length() - 1;

        div1 = pow(10, digits);
        div2 = 2 * div1;
        div5 = 5 * div1;

        if (V >= div5) {
            res += V / div5;
            V %= div5;
        } else if (V >= div2) {
            res += V / div2;
            V %= div2;
        } else {
            res += V / div1;
            V %= div1;
        }
    }

    cout << res;
}